| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
EvtSelectorContext Class Reference

Definition of class EventIterator. More...

`#include <src/EventSelector/EventIterator.h>`

Inheritance diagram for EvtSelectorContext:
[legend]
Collaboration diagram for EvtSelectorContext:
[legend]

## Public Member Functions
| EvtSelectorContext (const IEvtSelector *selector)
| Standard constructor. More...
virtual IDataStreamTool::size_type | ID () const
| Stream identifier. More...
long | numEvent () const
| Access counter. More...
long | numStreamEvent () const
| Access counter within stream. More...
void * | identifier () const override
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Protected Member Functions
void | set (const IEvtSelector *sel, IDataStreamTool::size_type id, IEvtSelector::Context *it, IOpaqueAddress *pA)
| Set the address of the iterator. More...
void | set (IEvtSelector::Context *it, IOpaqueAddress *pA)
| Set the address of the iterator. More...
void | set (IOpaqueAddress *pA)
| Set the address of the iterator. More...
IEvtSelector::Context * | context () const
| Access "real" iterator. More...
IDataStreamTool::size_type | increaseCounters (bool reset=false)
| Increase counters. More...
IDataStreamTool::size_type | decreaseCounters (bool reset=false)
| Decrease counters. More...

## Protected Attributes
IDataStreamTool::size_type | m_streamID = -1
| Stream identifier. More...
long | m_count = -1
| Event counter. More...
long | m_strCount = -1
| Event counter within stream. More...
const IEvtSelector * | m_pSelector = nullptr
| Pointer to event selector. More...
IEvtSelector::Context * | m_context = nullptr
| Pointer to "real" iterator. More...
IOpaqueAddress * | m_pAddress = nullptr
| Pointer to opaque address. More...

## Private Member Functions
| EvtSelectorContext (const EvtSelectorContext &)=default
| Copy constructor. More...

## Friends
class | EventSelector
class | EventCollectionSelector

## Detailed Description

Definition of class EventIterator.

Generic iterator to access event on the persistent store. The iterator interacts with the event selection service.

History: +------—+-------------------------------------------—+------—+ | Date | Comment | Who | +------—+-------------------------------------------—+------—+ | 3/10/00 | Initial version | M.Frank | +------—+-------------------------------------------—+------—+

Author
  Markus Frank

Version
  1.0

Definition at line 32 of file EventIterator.h.

## Constructor & Destructor Documentation

## ◆ EvtSelectorContext() [1/2]

EvtSelectorContext::EvtSelectorContext | ( | const EvtSelectorContext & |  | ) |
| private default

Copy constructor.

## ◆ EvtSelectorContext() [2/2]

EvtSelectorContext::EvtSelectorContext | ( | const IEvtSelector * | selector | ) |
| inline

Standard constructor.

Definition at line 86 of file EventIterator.h.

86 : m_pSelector( selector ) {}
EvtSelectorContext::m_pSelector
const IEvtSelector * m_pSelector
Pointer to event selector.
Definition: EventIterator.h:49

## Member Function Documentation

## ◆ context()

IEvtSelector::Context* EvtSelectorContext::context | ( |  | ) | const
| inline protected

Access "real" iterator.

Definition at line 70 of file EventIterator.h.

70 { return m_context; }
EvtSelectorContext::m_context
IEvtSelector::Context * m_context
Pointer to "real" iterator.
Definition: EventIterator.h:51

## ◆ decreaseCounters()

IDataStreamTool::size_type EvtSelectorContext::decreaseCounters | ( | bool | reset = `false` | ) |
| inline protected

Decrease counters.

Definition at line 78 of file EventIterator.h.

78 {
79 m_count++;
80 m_strCount = ( reset ) ? 0 : m_strCount - 1;
81 return m_count;
82 }
EvtSelectorContext::m_count
long m_count
Event counter.
Definition: EventIterator.h:45
EvtSelectorContext::m_strCount
long m_strCount
Event counter within stream.
Definition: EventIterator.h:47

## ◆ ID()

virtual IDataStreamTool::size_type EvtSelectorContext::ID | ( |  | ) | const
| inline virtual

Stream identifier.

Definition at line 89 of file EventIterator.h.

89 { return m_streamID; }
EvtSelectorContext::m_streamID
IDataStreamTool::size_type m_streamID
Stream identifier.
Definition: EventIterator.h:43

## ◆ identifier()

void* EvtSelectorContext::identifier | ( |  | ) | const
| inline override virtual

Implements IEvtSelector::Context.

Definition at line 94 of file EventIterator.h.

94 { return (void*)m_pSelector; }
EvtSelectorContext::m_pSelector
const IEvtSelector * m_pSelector
Pointer to event selector.
Definition: EventIterator.h:49

## ◆ increaseCounters()

IDataStreamTool::size_type EvtSelectorContext::increaseCounters | ( | bool | reset = `false` | ) |
| inline protected

Increase counters.

Definition at line 72 of file EventIterator.h.

72 {
73 m_count++;
74 m_strCount = ( reset ) ? 0 : m_strCount + 1;
75 return m_count;
76 }
EvtSelectorContext::m_count
long m_count
Event counter.
Definition: EventIterator.h:45
EvtSelectorContext::m_strCount
long m_strCount
Event counter within stream.
Definition: EventIterator.h:47

## ◆ numEvent()

long EvtSelectorContext::numEvent | ( |  | ) | const
| inline

Access counter.

Definition at line 91 of file EventIterator.h.

91 { return m_count; }
EvtSelectorContext::m_count
long m_count
Event counter.
Definition: EventIterator.h:45

## ◆ numStreamEvent()

long EvtSelectorContext::numStreamEvent | ( |  | ) | const
| inline

Access counter within stream.

Definition at line 93 of file EventIterator.h.

93 { return m_strCount; }
EvtSelectorContext::m_strCount
long m_strCount
Event counter within stream.
Definition: EventIterator.h:47

## ◆ set() [1/3]

void EvtSelectorContext::set | ( | const IEvtSelector * | sel,
|  | IDataStreamTool::size_type | id,
|  | IEvtSelector::Context * | it,
|  | IOpaqueAddress * | pA
| ) |  |
| inline protected

Set the address of the iterator.

Definition at line 55 of file EventIterator.h.

55 {
56 m_pSelector = sel;
57 m_context = it;
58 m_streamID = id;
59 m_pAddress = pA;
60 m_strCount = -1;
61 }
IOTest.sel
sel
Definition: IOTest.py:93
EvtSelectorContext::m_strCount
long m_strCount
Event counter within stream.
Definition: EventIterator.h:47
EvtSelectorContext::m_context
IEvtSelector::Context * m_context
Pointer to "real" iterator.
Definition: EventIterator.h:51
EvtSelectorContext::m_pAddress
IOpaqueAddress * m_pAddress
Pointer to opaque address.
Definition: EventIterator.h:53
EvtSelectorContext::m_pSelector
const IEvtSelector * m_pSelector
Pointer to event selector.
Definition: EventIterator.h:49
EvtSelectorContext::m_streamID
IDataStreamTool::size_type m_streamID
Stream identifier.
Definition: EventIterator.h:43

## ◆ set() [2/3]

void EvtSelectorContext::set | ( | IEvtSelector::Context * | it,
|  | IOpaqueAddress * | pA
| ) |  |
| inline protected

Set the address of the iterator.

Definition at line 63 of file EventIterator.h.

63 {
64 m_context = it;
65 m_pAddress = pA;
66 }
EvtSelectorContext::m_context
IEvtSelector::Context * m_context
Pointer to "real" iterator.
Definition: EventIterator.h:51
EvtSelectorContext::m_pAddress
IOpaqueAddress * m_pAddress
Pointer to opaque address.
Definition: EventIterator.h:53

## ◆ set() [3/3]

void EvtSelectorContext::set | ( | IOpaqueAddress * | pA | ) |
| inline protected

Set the address of the iterator.

Definition at line 68 of file EventIterator.h.

68 { m_pAddress = pA; }
EvtSelectorContext::m_pAddress
IOpaqueAddress * m_pAddress
Pointer to opaque address.
Definition: EventIterator.h:53

## Friends And Related Function Documentation

## ◆ EventCollectionSelector

friend class EventCollectionSelector
| friend

Definition at line 35 of file EventIterator.h.

## ◆ EventSelector

friend class EventSelector
| friend

Definition at line 34 of file EventIterator.h.

## Member Data Documentation

## ◆ m_context

IEvtSelector::Context* EvtSelectorContext::m_context = nullptr
| protected

Pointer to "real" iterator.

Definition at line 51 of file EventIterator.h.

## ◆ m_count

long EvtSelectorContext::m_count = -1
| protected

Event counter.

Definition at line 45 of file EventIterator.h.

## ◆ m_pAddress

IOpaqueAddress* EvtSelectorContext::m_pAddress = nullptr
| protected

Pointer to opaque address.

Definition at line 53 of file EventIterator.h.

## ◆ m_pSelector

const IEvtSelector* EvtSelectorContext::m_pSelector = nullptr
| protected

Pointer to event selector.

Definition at line 49 of file EventIterator.h.

## ◆ m_strCount

long EvtSelectorContext::m_strCount = -1
| protected

Event counter within stream.

Definition at line 47 of file EventIterator.h.

## ◆ m_streamID

IDataStreamTool::size_type EvtSelectorContext::m_streamID = -1
| protected

Stream identifier.

Definition at line 43 of file EventIterator.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/EventSelector/EventIterator.h